VIRT(4)

NAME
virt - rump virtual network interface

SYNOPSIS
#include <rump/rump.h>
int
rump_pub_virtif_create(int num);

DESCRIPTION
The virt interface acts as a link between a rump virtual kernel and a host tap(4) interface. Interface number <n> always corresponds with the host tap interface tap<n>. All data sent by virt is written into /dev/tap<n> and all data read from /dev/tap<n> is passed as Ethernet input to the rump virtual kernel.

A virt interface can be created in two ways:

•   Programmatically by calling rump_pub_virtif_create().

•   Dynamically at runtime with ifconfig(8) or equivalent using the create command.

Destroying a virt interface is possible only through ifconfig(8) destroy.

The host's tap(4) interface can be further bridged with hardware interfaces to provide full Internet access to a rump kernel.

SEE ALSO
rump(3), bridge(4), tap(4), brconfig(8), ifconfig(8)